## com.fasterxml.jackson.databind.annotation
Class NoClass

    java.lang.Object
      com.fasterxml.jackson.databind.annotation.NoClass

    public final class NoClass

extends Object

Marker class used with annotations to indicate "no class". This is a silly but necessary work-around -- annotations can not take nulls as either default or explicit values. Hence for class values we must explicitly use a bogus placeholder to denote equivalent of "no class" (for which 'null' is usually the natural choice).

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2012 fasterxml.com. All Rights Reserved.